Search for all

  1. Search 7.x for all
  2. Search 9.5.x for all
  3. Search 8.9.x for all
  4. Search 10.3.x for all
  5. Search 11.x for all
  6. Other projects
Title Object type File name Summary
LanguageNegotiationFormOverrideTest class core/modules/config/tests/src/Functional/LanguageNegotiationFormOverrideTest.php Tests language-negotiation overrides are not on language-negotiation form.
LanguageNegotiationFormOverrideTest.php file core/modules/config/tests/src/Functional/LanguageNegotiationFormOverrideTest.php
LanguageNegotiationFormOverrideTest::$defaultTheme property core/modules/config/tests/src/Functional/LanguageNegotiationFormOverrideTest.php The theme to install as the default for testing.
LanguageNegotiationFormOverrideTest::$modules property core/modules/config/tests/src/Functional/LanguageNegotiationFormOverrideTest.php Modules to install.
LanguageNegotiationFormOverrideTest::testFormWithOverride function core/modules/config/tests/src/Functional/LanguageNegotiationFormOverrideTest.php Tests that overrides do not affect language-negotiation form values.
LanguageNegotiationInfoTest class core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php Tests alterations to language types/negotiation info.
LanguageNegotiationInfoTest.php file core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php
LanguageNegotiationInfoTest::$defaultTheme property core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php The theme to install as the default for testing.
LanguageNegotiationInfoTest::$modules property core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php Modules to install.
LanguageNegotiationInfoTest::checkFixedLanguageTypes function core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php Check that language negotiation for fixed types matches the stored one.
LanguageNegotiationInfoTest::isLanguageTypeConfigurable function core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php Checks whether the given language type is configurable.
LanguageNegotiationInfoTest::keysValuesSet function core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php Sets key/value pairs for language_test module.
LanguageNegotiationInfoTest::languageManager function core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php Returns the configurable language manager.
LanguageNegotiationInfoTest::setUp function core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php
LanguageNegotiationInfoTest::testConfigLangTypeAlterations function core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php Tests altering config of configurable language types.
LanguageNegotiationInfoTest::testInfoAlterations function core/modules/language/tests/src/Functional/LanguageNegotiationInfoTest.php Tests alterations to language types/negotiation info.
LanguageNegotiationMethodBase class core/modules/language/src/LanguageNegotiationMethodBase.php Base class for language negotiation methods.
LanguageNegotiationMethodBase.php file core/modules/language/src/LanguageNegotiationMethodBase.php
LanguageNegotiationMethodBase::$config property core/modules/language/src/LanguageNegotiationMethodBase.php The configuration factory.
LanguageNegotiationMethodBase::$currentUser property core/modules/language/src/LanguageNegotiationMethodBase.php The current active user.
LanguageNegotiationMethodBase::$languageManager property core/modules/language/src/LanguageNegotiationMethodBase.php The language manager.
LanguageNegotiationMethodBase::persist function core/modules/language/src/LanguageNegotiationMethodBase.php Notifies the plugin that the language code it returned has been accepted.
LanguageNegotiationMethodBase::setConfig function core/modules/language/src/LanguageNegotiationMethodBase.php Injects the configuration factory.
LanguageNegotiationMethodBase::setCurrentUser function core/modules/language/src/LanguageNegotiationMethodBase.php Injects the current user.
LanguageNegotiationMethodBase::setLanguageManager function core/modules/language/src/LanguageNegotiationMethodBase.php Injects the language manager.
LanguageNegotiationMethodInterface interface core/modules/language/src/LanguageNegotiationMethodInterface.php Interface for language negotiation classes.
LanguageNegotiationMethodInterface.php file core/modules/language/src/LanguageNegotiationMethodInterface.php
LanguageNegotiationMethodInterface::getLangcode function core/modules/language/src/LanguageNegotiationMethodInterface.php Performs language negotiation.
LanguageNegotiationMethodInterface::persist function core/modules/language/src/LanguageNegotiationMethodInterface.php Notifies the plugin that the language code it returned has been accepted.
LanguageNegotiationMethodInterface::setConfig function core/modules/language/src/LanguageNegotiationMethodInterface.php Injects the configuration factory.
LanguageNegotiationMethodInterface::setCurrentUser function core/modules/language/src/LanguageNegotiationMethodInterface.php Injects the current user.
LanguageNegotiationMethodInterface::setLanguageManager function core/modules/language/src/LanguageNegotiationMethodInterface.php Injects the language manager.
LanguageNegotiationMethodManager class core/modules/language/src/LanguageNegotiationMethodManager.php Manages language negotiation methods.
LanguageNegotiationMethodManager.php file core/modules/language/src/LanguageNegotiationMethodManager.php
LanguageNegotiationMethodManager::__construct function core/modules/language/src/LanguageNegotiationMethodManager.php Constructs a new \Drupal\Core\Plugin\DefaultPluginManager object.
LanguageNegotiationSelected class core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSelected.php Class for identifying language from a selected language.
LanguageNegotiationSelected.php file core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSelected.php
LanguageNegotiationSelected::getLangcode function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSelected.php Performs language negotiation.
LanguageNegotiationSelected::METHOD_ID constant core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSelected.php The language negotiation method id.
LanguageNegotiationSession class core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Identify language from a request/session parameter.
LanguageNegotiationSession.php file core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php
LanguageNegotiationSession::$queryParam property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The query parameter name to rewrite.
LanguageNegotiationSession::$queryRewrite property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Flag used to determine whether query rewriting is active.
LanguageNegotiationSession::$queryValue property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The query parameter value to be set.
LanguageNegotiationSession::$requestStack property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The request stack.
LanguageNegotiationSession::create function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Creates an instance of the plugin.
LanguageNegotiationSession::getLangcode function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Performs language negotiation.
LanguageNegotiationSession::getLanguageSwitchLinks function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Returns language switch links.
LanguageNegotiationSession::METHOD_ID constant core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The language negotiation method id.
LanguageNegotiationSession::persist function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Notifies the plugin that the language code it returned has been accepted.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.